variables:
  GIT_SUBMODULE_STRATEGY: normal

build:
  image: registry.gitlab.com/lukenaylor/latex/sage-tex-chroma-image:latest
  tags: ["x64"]
  # The following is in the Dockerfile (can't see to use that)
  before_script:
    - echo $SHELL
    - source /root/.bashrc
    - git clone --depth=1 --branch v0.20.4 https://github.com/tree-sitter/tree-sitter-rust.git /root/src/tree-sitter-rust
    - sage -pip install pseudowalls --extra-index-url https://gitlab.com/api/v4/projects/43962374/packages/pypi/simple
  script:
    - echo $SHELL
    - source /root/.bashrc
    - make pretex
    - latexmk -use-make
  artifacts:
    paths:
      - main.pdf
      - "*sagetex*"

